The NetBSD Project

CVS log for pkgsrc/devel/py-pip/distinfo

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / devel / py-pip

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.29 / (download) - annotate - [select for diffs], Tue Oct 15 17:16:54 2019 UTC (9 hours, 53 minutes ago) by adam
Branch: MAIN
CVS Tags: HEAD
Changes since 1.28: +5 -5 lines
Diff to previous 1.28 (colored) to selected 1.4 (colored)

py-pip: updated to 19.3

19.3:
Deprecations and Removals
- Remove undocumented support for un-prefixed URL requirements pointing
  to SVN repositories. Users relying on this can get the original behavior
  by prefixing their URL with svn+ (which is backwards-compatible).
- Remove the deprecated --venv option from pip config.

Features
- Print a better error message when --no-binary or --only-binary is given
  an argument starting with -.
- Make pip show warn about packages not found.
- Support including a port number in --trusted-host for both HTTP and HTTPS.
- Redact single-part login credentials from URLs in log messages.
- Implement manylinux2014 platform tag support.  manylinux2014 is the successor
  to manylinux2010.  It allows carefully compiled binary wheels to be installed
  on compatible Linux platforms.  The manylinux2014 platform tag definition can
  be found in PEP599 <https://www.python.org/dev/peps/pep-0599/>_.

Bug Fixes
- Abort installation if any archive contains a file which would be placed
  outside the extraction location.
- pip's CLI completion code no longer prints a Traceback if it is interrupted.
- Correct inconsistency related to the hg+file scheme.
- Fix rmtree_errorhandler to skip non-existing directories.
- Ignore errors copying socket files for local source installs (in Python 3).
- Fix requirement line parser to correctly handle PEP 440 requirements with a URL
  pointing to an archive file.
- The pip-wheel-metadata directory does not need to persist between invocations of pip, use a temporary directory instead of the current setup.py directory.
- Fix --trusted-host processing under HTTPS to trust any port number used
  with the host.
- Switch to new distlib wheel script template. This should be functionally
  equivalent for end users.
- Skip copying .tox and .nox directories to temporary build directories
- Fix handling of tokens (single part credentials) in URLs.
- Fix a regression that caused ~ expansion not to occur in --find-links
  paths.
- Fix bypassed pip upgrade warning on Windows.
- Fix 'm' flag erroneously being appended to ABI tag in Python 3.8 on platforms that do not provide SOABI
- Hide security-sensitive strings like passwords in log messages related to
  version control system (aka VCS) command invocations.
- Correctly uninstall symlinks that were installed in a virtualenv,
  by tools such as flit install --symlink.
- Don't fail installation using pip.exe on Windows when pip wouldn't be upgraded.
- Use canonical distribution names when computing Required-By in pip show.
- Don't use hardlinks for locking selfcheck state file.
- Ignore "require_virtualenv" in pip config
- Fix pip freeze not showing correct entry for mercurial packages that use subdirectories.
- Fix a crash when sys.stdin is set to None, such as on AWS Lambda.

Vendored Libraries
- Upgrade certifi to 2019.9.11
- Add contextlib2 0.6.0 as a vendored dependency.
- Remove Lockfile as a vendored dependency.
- Upgrade msgpack to 0.6.2
- Upgrade packaging to 19.2
- Upgrade pep517 to 0.7.0
- Upgrade pyparsing to 2.4.2
- Upgrade pytoml to 0.1.21
- Upgrade setuptools to 41.4.0
- Upgrade urllib3 to 1.25.6

Improved Documentation
- Document caveats for UNC paths in uninstall and add .pth unit tests.
- Add architectural overview documentation.
- Document that --ignore-installed is dangerous.

Revision 1.28 / (download) - annotate - [select for diffs], Mon Aug 26 07:35:07 2019 UTC (7 weeks, 1 day ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2019Q3-base, pkgsrc-2019Q3
Changes since 1.27: +5 -5 lines
Diff to previous 1.27 (colored) to selected 1.4 (colored)

py-pip: updated to 19.2.3

19.2.3:
Bug Fixes
- Fix 'm' flag erroneously being appended to ABI tag in Python 3.8 on platforms that do not provide SOABI

Revision 1.27 / (download) - annotate - [select for diffs], Mon Aug 12 07:06:36 2019 UTC (2 months ago) by adam
Branch: MAIN
Changes since 1.26: +5 -5 lines
Diff to previous 1.26 (colored) to selected 1.4 (colored)

py-pip: updated to 19.2.2

19.2.2:

Bug Fixes
- Fix handling of tokens (single part credentials) in URLs.
- Fix a regression that caused ~ expansion not to occur in --find-links

Revision 1.26 / (download) - annotate - [select for diffs], Sat Aug 3 11:23:09 2019 UTC (2 months, 1 week ago) by adam
Branch: MAIN
Changes since 1.25: +5 -5 lines
Diff to previous 1.25 (colored) to selected 1.4 (colored)

py-pip: updated to 19.2.1

19.2.1:

Bug Fixes
- Fix a NoneType AttributeError when evaluating hashes and no hashes
  are provided.


19.2:

Deprecations and Removals
- Drop support for EOL Python 3.4.
- Improve deprecation messages to include the version in which the functionality will be removed.

Features
- Credentials will now be loaded using keyring when installed.
- Fully support using --trusted-host inside requirements files.
- Update timestamps in pip's --log file to include milliseconds.
- Respect whether a file has been marked as "yanked" from a simple repository
  (see PEP 592 <https://www.python.org/dev/peps/pep-0592/>__ for details).
- When choosing candidates to install, prefer candidates with a hash matching
  one of the user-provided hashes.
- Improve the error message when METADATA or PKG-INFO is None when
  accessing metadata.
- Add a new command pip debug that can display e.g. the list of compatible
  tags for the current Python.
- Display hint on installing with --pre when search results include pre-release versions.
- Report to Warehouse that pip is running under CI if the PIP_IS_CI environment variable is set.
- Allow --python-version to be passed as a dotted version string (e.g.
  3.7 or 3.7.3).
- Log the final filename and SHA256 of a .whl file when done building a
  wheel.
- Include the wheel's tags in the log message explanation when a candidate
  wheel link is found incompatible.
- Add a --path argument to pip freeze to support --target
  installations.
- Add a --path argument to pip list to support --target
  installations.

Bug Fixes
- Set sys.argv[0] to the underlying setup.py when invoking setup.py
  via the setuptools shim so setuptools doesn't think the path is -c.
- Update pip download to respect the given --python-version when checking
  "Requires-Python".
- Respect --global-option and --install-option when installing from
  a version control url (e.g. git).
- Make the "ascii" progress bar really be "ascii" and not Unicode.
- Fail elegantly when trying to set an incorrectly formatted key in config.
- Prevent DistutilsOptionError when prefix is indicated in the global environment and --target is used.
- Fix pip install to respect --ignore-requires-python when evaluating
  links.
- Fix a debug log message when freezing an editable, non-version controlled
  requirement.
- Extend to Subversion 1.8+ the behavior of calling Subversion in
  interactive mode when pip is run interactively.
- Prevent pip install <url> from permitting directory traversal if e.g.
  a malicious server sends a Content-Disposition header with a filename
  containing ../ or ..\\.
- Hide passwords in output when using --find-links.
- Include more details in the log message if pip freeze can't generate a
  requirement string for a particular distribution.
- Add the line number and file location to the error message when reading an
  invalid requirements file in certain situations.
- Prefer os.confstr to ctypes when extracting glibc version info.
- Improve error message printed when an invalid editable requirement is provided.
- Improve error message formatting when a command errors out in a subprocess.

Vendored Libraries
- Upgrade certifi to 2019.6.16
- Upgrade distlib to 0.2.9.post0
- Upgrade msgpack to 0.6.1
- Upgrade requests to 2.22.0
- Upgrade urllib3 to 1.25.3
- Patch vendored html5lib, to prefer using collections.abc where possible.

Improved Documentation
- Document how Python 2.7 support will be maintained.
- Upgrade Sphinx version used to build documentation.
- Fix generation of subcommand manpages.
- Mention that pip can install from git refs.
- Replace a failing example of pip installs with extras with a working one.

Revision 1.25 / (download) - annotate - [select for diffs], Tue May 7 05:17:20 2019 UTC (5 months, 1 week ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2019Q2-base, pkgsrc-2019Q2
Changes since 1.24: +5 -5 lines
Diff to previous 1.24 (colored) to selected 1.4 (colored)

py-pip: updated to 19.1.1

19.1.1:

Features
- Restore pyproject.toml handling to how it was with pip 19.0.3 to prevent
  the need to add --no-use-pep517 when installing in editable mode.

Bug Fixes
- Fix a regression that caused @ to be quoted in pypiserver links.
  This interfered with parsing the revision string from VCS urls.

Revision 1.24 / (download) - annotate - [select for diffs], Wed Apr 24 08:28:33 2019 UTC (5 months, 3 weeks ago) by adam
Branch: MAIN
Changes since 1.23: +5 -5 lines
Diff to previous 1.23 (colored) to selected 1.4 (colored)

py-pip: updated to 19.1

19.1:

Features
- Configuration files may now also be stored under sys.prefix
- Avoid creating an unnecessary local clone of a Bazaar branch when exporting.
- Include in pip's User-Agent string whether it looks like pip is running
  under CI.
- A custom (JSON-encoded) string can now be added to pip's User-Agent
  using the PIP_USER_AGENT_USER_DATA environment variable.
- For consistency, passing --no-cache-dir no longer affects whether wheels
  will be built.  In this case, a temporary directory is used.
- Command arguments in subprocess log messages are now quoted using
  shlex.quote().
- Prefix warning and error messages in log output with WARNING and ERROR.
- Using --build-options in a PEP 517 build now fails with an error,
  rather than silently ignoring the option.
- Error out with an informative message if one tries to install a
  pyproject.toml-style (PEP 517) source tree using --editable mode.
- When downloading a package, the ETA and average speed now only update once per second for better legibility.

Bug Fixes
- The stdout and stderr from VCS commands run by pip as subprocesses (e.g.
  git, hg, etc.) no longer pollute pip's stdout.
- Fix handling of requests exceptions when dependencies are debundled.
- Make pip's self version check avoid recommending upgrades to prereleases if the currently-installed version is stable.
- Fixed crash when installing a requirement from a URL that comes from a dependency without a URL.
- Improve handling of file URIs: correctly handle file://localhost/... and don't try to use UNC paths on Unix.
- Fix utils.encoding.auto_decode() LookupError with invalid encodings.
  utils.encoding.auto_decode() was broken when decoding Big Endian BOM
  byte-strings on Little Endian or vice versa.
- Fix incorrect URL quoting of IPv6 addresses.
- Redact the password from the extra index URL when using pip -v.
- The spinner no longer displays a completion message after subprocess calls
  not needing a spinner. It also no longer incorrectly reports an error after
  certain subprocess calls to Git that succeeded.
- Fix the handling of editable mode during installs when pyproject.toml is
  present but PEP 517 doesn't require the source tree to be treated as
  pyproject.toml-style.
- Fix NameError when handling an invalid requirement.

Vendored Libraries
- Updated certifi to 2019.3.9
- Updated distro to 1.4.0
- Update progress to 1.5
- Updated pyparsing to 2.4.0
- Updated pkg_resources to 41.0.1 (via setuptools)

Improved Documentation
- Make dashes render correctly when displaying long options like
  --find-links in the text.

Revision 1.23 / (download) - annotate - [select for diffs], Thu Feb 21 08:32:21 2019 UTC (7 months, 3 weeks ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2019Q1-base, pkgsrc-2019Q1
Changes since 1.22: +5 -5 lines
Diff to previous 1.22 (colored) to selected 1.4 (colored)

py-pip: updated to 19.0.3

19.0.3:
Bug Fixes
- Fix an IndexError crash when a legacy build of a wheel fails.
- Fix a regression introduced in 19.0.2 where the filename in a RECORD file
  of an installed file would not be updated when installing a wheel.

Revision 1.22 / (download) - annotate - [select for diffs], Sat Feb 9 17:13:59 2019 UTC (8 months ago) by adam
Branch: MAIN
Changes since 1.21: +5 -5 lines
Diff to previous 1.21 (colored) to selected 1.4 (colored)

py-pip: updated to 19.0.2

19.0.2:

Bug Fixes
- Fix a crash where PEP 517-based builds using --no-cache-dir would fail in
  some circumstances with an AssertionError due to not finalizing a build
  directory internally.
- Provide a better error message if attempting an editable install of a
  directory with a pyproject.toml but no setup.py.
- The implicit default backend used for projects that provide a pyproject.toml
  file without explicitly specifying build-backend now behaves more like direct
  execution of setup.py, and hence should restore compatibility with projects
  that were unable to be installed with pip 19.0. This raised the minimum
  required version of setuptools for such builds to 40.8.0.
- Allow RECORD lines with more than three elements, and display a warning.
- AdjacentTempDirectory fails on unwritable directory instead of locking up the uninstall command.
- Make failed uninstalls roll back more reliably and better at avoiding naming conflicts.
- Ensure the correct wheel file is copied when building PEP 517 distribution is built.
- The Python 2 end of life warning now only shows on CPython, which is the
  implementation that has announced end of life plans.

Improved Documentation
- Re-write README and documentation index

Revision 1.21 / (download) - annotate - [select for diffs], Thu Jan 24 08:29:39 2019 UTC (8 months, 3 weeks ago) by adam
Branch: MAIN
Changes since 1.20: +5 -5 lines
Diff to previous 1.20 (colored) to selected 1.4 (colored)

py-pip: updated to 19.0.1

19.0.1:

Bug Fixes
- Fix a crash when using --no-cache-dir with PEP 517 distributions


19.0:

Deprecations and Removals
- Deprecate support for Python 3.4
- Start printing a warning for Python 2.7 to warn of impending Python 2.7 End-of-life and
  prompt users to start migrating to Python 3.
- Remove the deprecated --process-dependency-links option.
- Remove the deprecated SVN editable detection based on dependency links
  during freeze.

Features
- Implement PEP 517 (allow projects to specify a build backend via pyproject.toml).
- Implement manylinux2010 platform tag support.  manylinux2010 is the successor
  to manylinux1.  It allows carefully compiled binary wheels to be installed
  on compatible Linux platforms.
- Improve build isolation: handle .pth files, so namespace packages are correctly supported under Python 3.2 and earlier.
- Include the package name in a freeze warning if the package is not installed.
- Warn when dropping an --[extra-]index-url value that points to an existing local directory.
- Prefix pip's --log file lines with their timestamp.

Bug Fixes
- Avoid creating excessively long temporary paths when uninstalling packages.
- Redact the password from the URL in various log messages.
- Avoid creating excessively long temporary paths when uninstalling packages.
- Avoid printing a stack trace when given an invalid requirement.
- Present 401 warning if username/password do not work for URL
- Handle requests.exceptions.RetryError raised in PackageFinder that was causing pip to fail silently when some indexes were unreachable.
- Handle a broken stdout pipe more gracefully (e.g. when running pip list | head).
- Fix crash from setting PIP_NO_CACHE_DIR=yes.
- Fix crash from unparseable requirements when checking installed packages.
- Fix content type detection if a directory named like an archive is used as a package source.
- Fix listing of outdated packages that are not dependencies of installed packages in pip list --outdated --not-required
- Fix sorting TypeError in move_wheel_files() when installing some packages.
- Fix support for invoking pip using python src/pip ....
- Greatly reduce memory usage when installing wheels containing large files.
- Editable non-VCS installs now freeze as editable.
- Editable Git installs without a remote now freeze as editable.
- Canonicalize sdist file names so they can be matched to a canonicalized package name passed to pip install.
- Properly decode special characters in SVN URL credentials.
- Make PIP_NO_CACHE_DIR disable the cache also for truthy values like "true", "yes", "1", etc.

Vendored Libraries
- Include license text of vendored 3rd party libraries.
- Update certifi to 2018.11.29
- Update colorama to 0.4.1
- Update distlib to 0.2.8
- Update idna to 2.8
- Update packaging to 19.0
- Update pep517 to 0.5.0
- Update pkg_resources to 40.6.3 (via setuptools)
- Update pyparsing to 2.3.1
- Update pytoml to 0.1.20
- Update requests to 2.21.0
- Update six to 1.12.0
- Update urllib3 to 1.24.1

Improved Documentation
- Include the Vendoring Policy in the documentation.
- Add instructions for running pip from source to Development documentation.
- Remove references to removed #egg=<name>-<version> functionality
- Fix omission of command name in HTML usage documentation

Revision 1.20 / (download) - annotate - [select for diffs], Sun Oct 7 06:47:29 2018 UTC (12 months, 1 week ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2018Q4-base, pkgsrc-2018Q4
Changes since 1.19: +5 -5 lines
Diff to previous 1.19 (colored) to selected 1.4 (colored)

py-pip: updated to 18.1

18.1:

Features
- Allow PEP 508 URL requirements to be used as dependencies.
  As a security measure, pip will raise an exception when installing packages from
  PyPI if those packages depend on packages not also hosted on PyPI.
  In the future, PyPI will block uploading packages with such external URL dependencies directly.
- Upgrade pyparsing to 2.2.1.
- Allows dist options (--abi, --python-version, --platform, --implementation) when installing with --target
- Support passing svn+ssh URLs with a username to pip install -e.
- pip now ensures that the RECORD file is sorted when installing from a wheel file.
- Add support for Python 3.7.
- Malformed configuration files now show helpful error messages, instead of tracebacks.

Bug Fixes
- Checkout the correct branch when doing an editable Git install.
- Run self-version-check only on commands that may access the index, instead of
  trying on every run and failing to do so due to missing options.
- Allow a Git ref to be installed over an existing installation.
- Show a better error message when a configuration option has an invalid value.
- Always revalidate cached simple API pages instead of blindly caching them for up to 10
  minutes.
- Avoid caching self-version-check information when cache is disabled.
- Avoid traceback printing on autocomplete after flags in the CLI.
- Fix incorrect parsing of egg names if pip needs to guess the package name.

Revision 1.19 / (download) - annotate - [select for diffs], Tue Aug 7 09:56:53 2018 UTC (14 months, 1 week ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2018Q3-base, pkgsrc-2018Q3
Changes since 1.18: +5 -5 lines
Diff to previous 1.18 (colored) to selected 1.4 (colored)

py-pip: updated to 18.0

18.0:

Process
- Switch to a Calendar based versioning scheme.
- Formally document our deprecation process as a minimum of 6 months of deprecation
  warnings.
- Adopt and document NEWS fragment writing style.
- Switch to releasing a new, non bug fix version of pip every 3 months.

Deprecations and Removals
- Remove the legacy format from pip list.
- Dropped support for Python 3.3.
- Remove support for cleaning up #egg fragment postfixes.
- Remove the shim for the old get-pip.py location.

  For the past 2 years, it's only been redirecting users to use the newer
  https://bootstrap.pypa.io/get-pip.py location.

Features
- Introduce a new --prefer-binary flag, to prefer older wheels over newer source packages.
- Improve autocompletion function on file name completion after options
  which have ``<file>``, ``<dir>`` or ``<path>`` as metavar.
- Add support for installing PEP 518 build dependencies from source.
- Improve status message when upgrade is skipped due to only-if-needed strategy.

Bug Fixes
- Update pip's self-check logic to not use a virtualenv specific file and honor cache-dir.
- Remove compiled pyo files for wheel packages.
- Speed up printing of newly installed package versions.
- Restrict install time dependency warnings to directly-dependant packages.

  Warning about the entire package set has resulted in users getting confused as
  to why pip is printing these warnings.
- Improve handling of PEP 518 build requirements: support environment markers and extras.
- Remove username/password from log message when using index with basic auth.
- Remove trailing os.sep from PATH directories to avoid false negatives.
- Fix "pip wheel pip" being blocked by the "don't use pip to modify itself" check.
- Disable pip's version check (and upgrade message) when installed by a different package manager.

  This works better with Linux distributions where pip's upgrade message may
  result in users running pip in a manner that modifies files that should be
  managed by the OS's package manager.
- Check for file existence and unlink first when clobbering existing files during a wheel install.
- Improve error message to be more specific when no files are found as listed in as listed in PKG-INFO.
- Always read ``pyproject.toml`` as UTF-8. This fixes Unicode handling on Windows and Python 2.
- Fix a crash that occurs when PATH not set, while generating script location warning.
- Disallow packages with ``pyproject.toml`` files that have an empty build-system table.

Vendored Libraries
- Update CacheControl to 0.12.5.
- Update certifi to 2018.4.16.
- Update distro to 1.3.0.
- Update idna to 2.7.
- Update ipaddress to 1.0.22.
- Update pkg_resources to 39.2.0 (via setuptools).
- Update progress to 1.4.
- Update pytoml to 0.1.16.
- Update requests to 2.19.1.
- Update urllib3 to 1.23.

Improved Documentation
- Document how to use pip with a proxy server.
- Document that the output of pip show is in RFC-compliant mail header format.

Revision 1.18 / (download) - annotate - [select for diffs], Wed Apr 25 07:06:36 2018 UTC (17 months, 3 weeks ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2018Q2-base, pkgsrc-2018Q2
Changes since 1.17: +5 -5 lines
Diff to previous 1.17 (colored) to selected 1.4 (colored)

py-pip: updated to 10.0.1

10.0.1:
Features
Switch the default repository to the new "PyPI 2.0" running at https://pypi.org/.

Bug Fixes
Fix a bug that made get-pip.py unusable on Windows without renaming.
Fix a TypeError when loading the cache on older versions of Python 2.7.
Fix and improve error message when EnvironmentError occurs during installation.
A crash when reinstalling from VCS requirements has been fixed.
Fix PEP 518 support when pip is installed in the user site.

Vendored Libraries
Upgrade distlib to 0.2.7

Revision 1.17 / (download) - annotate - [select for diffs], Tue Apr 17 08:42:35 2018 UTC (17 months, 4 weeks ago) by adam
Branch: MAIN
Changes since 1.16: +5 -5 lines
Diff to previous 1.16 (colored) to selected 1.4 (colored)

py-pip: updated to 10.0.0

10.0.0:

Bug Fixes
- Prevent false-positive installation warnings due to incomplete name
  normalizaton.
- Fix issue where installing from Git with a short SHA would fail.
- Accept pre-release versions when checking for conflicts with pip check or pip
  install.
- ``ioctl(fd, termios.TIOCGWINSZ, ...)`` needs 8 bytes of data
- Do not warn about script location when installing to the directory containing
  sys.executable. This is the case when 'pip install'ing without activating a
  virtualenv.
- Fix PEP 518 support.
- Don't warn about script locations if ``--target`` is specified.

Revision 1.16 / (download) - annotate - [select for diffs], Sat Mar 24 07:50:20 2018 UTC (18 months, 3 weeks ago) by adam
Branch: MAIN
CVS Tags: pkgsrc-2018Q1-base, pkgsrc-2018Q1
Changes since 1.15: +5 -5 lines
Diff to previous 1.15 (colored) to selected 1.4 (colored)

py-pip: updated to 9.0.3

9.0.3:
Fix an error where the vendored requests was not correctly containing itself to only the internal vendored prefix.
Restore compatability with 2.6.

Revision 1.15 / (download) - annotate - [select for diffs], Sat Mar 17 06:51:58 2018 UTC (18 months, 4 weeks ago) by adam
Branch: MAIN
Changes since 1.14: +5 -5 lines
Diff to previous 1.14 (colored) to selected 1.4 (colored)

py-pip: updated to 9.0.2

Released v9.0.2
* Fallback to using SecureTransport on macOS when the linked OpenSSL is too old
  to support TLSv1.2.

Revision 1.14 / (download) - annotate - [select for diffs], Fri Dec 23 19:12:38 2016 UTC (2 years, 9 months ago) by jdolecek
Branch: MAIN
CVS Tags: pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-2017Q2-base, pkgsrc-2017Q2, pkgsrc-2017Q1-base, pkgsrc-2017Q1, pkgsrc-2016Q4-base, pkgsrc-2016Q4, pkgsrc-
Changes since 1.13: +5 -5 lines
Diff to previous 1.13 (colored) to selected 1.4 (colored)

Update py-pip to 9.0.1

Changes:
* Correct the deprecation message when not specifying a --format
  so that it uses the correct setting name (format) rather than the
  incorrect one (list_format) (#4058).
* Fix pip check to check all available distributions and not just the local
  ones (#4083).
* Fix a crash on non ASCII characters from lsb_release (#4062).
* Fix an SyntaxError in an an used module of a vendored dependency (#4059).
* Fix UNC paths on Windows (#4064).

Revision 1.13 / (download) - annotate - [select for diffs], Sun Nov 6 00:32:12 2016 UTC (2 years, 11 months ago) by wen
Branch: MAIN
Changes since 1.12: +5 -5 lines
Diff to previous 1.12 (colored) to selected 1.4 (colored)

Update to 9.0.0

Upstream changes:
9.0.0 (2016-11-02)

    BACKWARD INCOMPATIBLE Remove the attempted autodetection of requirement names from URLs, URLs must include a name via #egg=.
    DEPRECATION pip install --egg have been deprecated and will be removed in the future. This "feature" has a long list of drawbacks where it breaks almost all of pip's other features in subtle and hard to diagnose ways.
    Add a pip check command to check installed packages dependencies (PR #3750).
    Added option to allow user to abort pip operation if file/directory exists
    Added Appveyor CI
    Uninstall existing packages when performing an editable installation of the same packages (#1548).
    Pip show is less verbose by default. --verbose prints multiline fields. (PR #3858).
    Added optional column formatting to pip list (#3651).
    Add --not-required option to pip list to list packages that are not dependencies of other packages.
    Fix the build on systems with symlinked /tmp directory for custom builds such as numpy (PR #3701).
    Fix regression in pip freeze: when there is more than one git remote, priority is given to the remote named origin (PR #3708, #3616).
    Fix crash when calling pip freeze with invalid requirement installed (PR #3704, #3681).
    Support multiple --requirement files in pip freeze (PR #3703).
    Implementation of pep-503 data-requires-python. When this field is present for a release link, pip will ignore the download when installing to a Python version that doesn't satisfy the requirement.
    Pip wheel now works on editable packages too (it was only working on editable dependencies before); this allows running pip wheel on the result of pip freeze in presence of editable requirements (PR #3695, #3291).
    Load credentials from .netrc files (PR #3715, #3569).
    Add --platform, --python-version, --implementation and --abi parameters to pip download. These allow utilities and advanced users to gather distributions for interpreters other than the one pip is being run on. (PR #3760)
    Skip scanning virtual environments even when venv/bin/python is a dangling symlink.
    Added pip completion support for fish shell.
    Fix problems on Windows on Python 2 when username or hostname contains non-ASCII characters (#3463, PR #3970, PR #4000).
    Use git fetch --tags to fetch tags in addition to everything else that is normally fetched; this is necessary in case a git requirement url points to a tag or commit that is not on a branch (PR #3791)
    Normalize package names before using in pip show (#3976)
    Raise when Requires-Python do not match the running version and add --ignore-requires-python option as escape hatch (PR #3846).
    Report the correct installed version when performing an upgrade in some corner cases (#2382)
    Add -i shorthand for --index flag in pip search
    Do not optionally load C dependencies in requests (#1840, #2930, #3024)
    Strip authentication from SVN url prior to passing it into svn (PR #3697, #3209).
    Also install in platlib with --target option (PR #3694, #3682).
    Restore the ability to use inline comments in requirements files passed to pip freeze (#3680).
    Deprecate --default-vcs option (#4052).

Revision 1.12 / (download) - annotate - [select for diffs], Sat Aug 27 11:41:23 2016 UTC (3 years, 1 month ago) by richard
Branch: MAIN
CVS Tags: pkgsrc-2016Q3-base, pkgsrc-2016Q3
Changes since 1.11: +5 -5 lines
Diff to previous 1.11 (colored) to selected 1.4 (colored)

update to py-pip-8.1.2

CHANGES since previous pkgsrc version:
* Don't attempt to wrap search results for extremely narrow terminal windows
  (:issue:`3655`).


**8.1.1 (2016-03-17)**

* Fix regression with non-ascii requirement files on Python 2 and add support
  for encoding headers in requirement files (:issue:`3548`, :pull:`3547`).


**8.1.0 (2016-03-05)**

* Implement PEP 513, which adds support for the manylinux1 platform tag,
  allowing carefully compiled binary wheels to be installed on compatible Linux
  platforms.

* Allow wheels which are not specific to a particular Python interpreter but
  which are specific to a particular platform (:issue:`3202`).

* Fixed an issue where ``call_subprocess`` would crash trying to print debug
  data on child process failure (:issue:`3521`, :pull:`3522`).

* Exclude the wheel package from the `pip freeze` output (like pip and setuptools).
  :issue:`2989`.

* Allow installing modules from a subdirectory of a vcs repository
  in non-editable mode (:issue:`3217`, :pull:`3466`).

* Make pip wheel and pip download work with vcs urls with subdirectory option
  (:pull:`3466`).

* Show classifiers in ``pip show``.

* Show PEP376 Installer in ``pip show`` (:issue:`3517`).

* Unhide completion command (:pull:`1810`).

* Show latest version number in ``pip search`` results (:pull:`1415`).

* Decode requirement files according to their BOM if present (:pull:`3485`,
  :issue:`2865`).

* Fix and deprecate package name detection from url path (:issue:`3523` and
  :pull:`3495`).

* Correct the behavior where interpreter specific tags (such as cp34) were
  being used on later versions of the same interprter instead of only for that
  specific interpreter (:issue:`3472`).

* Fix an issue where pip would erroneously install a 64 bit wheel on a 32 bit
  Python running on a 64 bit OS X machine.

* Do not assume that all git repositories have an origin remote.

* Correctly display the line to add to a requirements.txt for an URL based
  dependency when ``--require-hashes`` is enabled.


**8.0.3 (2016-02-25)**

* Make ``install --quiet`` really quiet. See :issue:`3418`.

* Fix a bug when removing packages in python 3: disable INI-style parsing of the
  entry_point.txt file to allow entry point names with colons (:pull:`3434`)

* Normalize generated script files path in RECORD files. (:pull:`3448`)

* Fix bug introduced in 8.0.0 where subcommand output was not shown,
  even when the user specified ``-v`` / ``--verbose``. :issue:`3486`.

* Enable python -W with respect to PipDeprecationWarning. (:pull:`3455`)

* Upgrade distlib to 0.2.2 (fix :issue:`3467`):

  * Improved support for Jython when quoting executables in output scripts.

* Add a `--all` option to `pip freeze` to include usually skipped package
  (like pip, setuptools and wheel) to the freeze output. :issue:`1610`.


**8.0.2 (2016-01-21)**

* Stop attempting to trust the system CA trust store because it's extremely
  common for them to be broken, often in incompatible ways. See :pull:`3416`.


**8.0.1 (2016-01-21)**

* Detect CAPaths in addition to CAFiles on platforms that provide them.

* Installing argparse or wsgiref will no longer warn or error - pip will allow
  the installation even though it may be useless (since the installed thing
  will be shadowed by the standard library).

* Upgrading a distutils installed item that is installed outside of a virtual
  environment, while inside of a virtual environment will no longer warn or
  error.

* Fix a bug where pre-releases were showing up in ``pip list --outdated``
  without the ``--pre`` flag.

* Switch the SOABI emulation from using RuntimeWarnings to debug logging.

* Rollback the removal of the ability to uninstall distutils installed items
  until a future date.


**8.0.0 (2016-01-19)**

* **BACKWARD INCOMPATIBLE** Drop support for Python 3.2.

* **BACKWARD INCOMPATIBLE** Remove the ability to find any files other than the
  ones directly linked from the index or find-links pages.

* **BACKWARD INCOMPATIBLE** Remove the ``--download-cache`` which had been
  deprecated and no-op'd in 6.0.

* **BACKWARD INCOMPATIBLE** Remove the ``--log-explicit-levels`` which had been
  deprecated in 6.0.

* **BACKWARD INCOMPATIBLE** Change pip wheel --wheel-dir default path from
  <cwd>/wheelhouse to <cwd>.

* Deprecate and no-op the ``--allow-external``, ``--allow-all-external``, and
  ``--allow-unverified`` functionality that was added as part of PEP 438. With
  changes made to the repository protocol made in PEP 470, these options are no
  longer functional.

* Allow ``--trusted-host`` within a requirements file. :issue:`2822`.

* Allow ``--process-dependency-links`` within a requirements file. :issue:`1274`.

* Allow ``--pre`` within a requirements file. :issue:`1273`.

* Allow repository URLs with secure transports to count as trusted. (E.g.,
  "git+ssh" is okay.) :issue:`2811`.

* Implement a top-level ``pip download`` command and deprecate
  ``pip install --download``.

* Fixed :issue:`3141`, when uninstalling, look for the case of paths containing
  symlinked directories (:pull:`3154`)

* When installing, if building a wheel fails, clear up the build directory
  before falling back to a source install. :issue:`3047`.

* Fix user directory expansion when ``HOME=/``. Workaround for Python bug
  http://bugs.python.org/issue14768, reported in :issue:`2996`.

* Fixed :issue:`3009`, correct reporting of requirements file line numbers
  (:pull:`3125`)

* Fixed :issue:`1062`, Exception(IOError) for ``pip freeze`` and ``pip list``
  commands with subversion >= 1.7. (:pull:`3346`)

* Provide a spinner showing that progress is happening when installing or
  building a package via ``setup.py``. This will alleviate concerns that
  projects with unusually long build times have with pip appearing to stall.

* Include the functionality of ``peep`` into pip, allowing hashes to be baked
  into a requirements file and ensuring that the packages being downloaded
  match one of those hashes. This is an additional, opt-in security measure
  that, when used, removes the need to trust the repository.

* Fix a bug causing pip to not select a wheel compiled against an OSX SDK later
  than what Python itself was compiled against when running on a newer version
  of OSX.

* Add a new ``--prefix`` option for ``pip install`` that supports wheels and
  sdists. (:pull:`3252`)

* Fixed :issue:`2042` regarding wheel building with setup.py using a different
  encoding than the system.

* Drop PasteScript specific egg_info hack. (:pull:`3270`)

* Allow combination of pip list options --editable with --outdated/--uptodate.
  (:issue:`933`)

* Gives VCS implementations control over saying whether a project
  is under their control (:pull:`3258`)

* Git detection now works when ``setup.py`` is not at the Git repo root
  and when ``package_dir`` is used, so ``pip freeze`` works in more
  cases (:pull:`3258`)

* Correctly freeze Git develop packages in presence of the &subdirectory
  option (:pull:`3258`)

* The detection of editable packages now relies on the presence of ``.egg-link``
  instead of looking for a VCS, so ``pip list -e`` is more reliable
  (:pull:`3258`)

* Add the ``--prefix`` flag to ``pip install`` which allows specifying a root
  prefix to use instead of ``sys.prefix`` (:pull:`3252`).

* Allow duplicate specifications in the case that only the extras differ, and
  union all specified extras together (:pull:`3198`).

* Fix the detection of the user's current platform on OSX when determining the
  OSX SDK version (:pull:`3232`).

* Prevent the automatically built wheels from mistakenly being used across
  multiple versions of Python when they may not be correctly configured for
  that by making the wheel specific to a specific version of Python and
  specific interpreter (:pull:`3225`).

* Emulate the SOABI support in wheels from Python 2.x on Python 2.x as closely
  as we can with the information available within the interpreter
  (:pull:`3075`).

* Don't roundtrip to the network when git is pinned to a specific commit hash
  and that hash already exists locally (:pull:`3066`).

* Prefer wheels built against a newer SDK to wheels built against an older SDK
  on OSX (:pull:`3163`).

* Show entry points for projects installed via wheel (:pull:`3122`).

* Improve message when an unexisting path is passed to --find-links option
  (:issue:`2968`).

* pip freeze does not add the VCS branch/tag name in the #egg=... fragment anymore
  (:pull:`3312`).

* Warn on installation of editable if the provided #egg=name part does not
  match the metadata produced by `setup.py egg_info`. :issue:`3143`.

* Add support for .xz files for python versions supporting them (>= 3.3).
  :issue:`722`.

Revision 1.11 / (download) - annotate - [select for diffs], Tue Nov 3 03:29:11 2015 UTC (3 years, 11 months ago) by agc
Branch: MAIN
CVS Tags: pkgsrc-2016Q2-base, pkgsrc-2016Q2, pkgsrc-2016Q1-base, pkgsrc-2016Q1, pkgsrc-2015Q4-base, pkgsrc-2015Q4
Changes since 1.10: +2 -1 lines
Diff to previous 1.10 (colored) to selected 1.4 (colored)

Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.

Revision 1.10 / (download) - annotate - [select for diffs], Thu Oct 1 23:11:41 2015 UTC (4 years ago) by rodent
Branch: MAIN
Changes since 1.9: +4 -4 lines
Diff to previous 1.9 (colored) to selected 1.4 (colored)

Update to 7.1.2. Previous version was having some difficulty with certain TLS
connections. Issue is resolved in this version.

Release Notes

7.1.2 (2015-08-22)

    Don't raise an error if pip is not installed when checking for the latest pip version.

7.1.1 (2015-08-20)

    Check that the wheel cache directory is writable before we attempt to write cached files to them.
    Move the pip version check until after any installs have been performed, thus removing the extraenous warning when upgrading pip.
    Added debug logging when using a cached wheel.
    Respect platlib by default on platforms that have it separated from purlib.
    Upgrade packaging to 15.3.
        Normalize post-release spellings for rev/r prefixes.
    Upgrade distlib to 0.2.1.
        Updated launchers to decode shebangs using UTF-8. This allows non-ASCII pathnames to be correctly handled.
        Ensured that the executable written to shebangs is normcased.
        Changed ScriptMaker to work better under Jython.
    Upgrade ipaddress to 1.0.13.

7.1.0 (2015-06-30)

    Allow constraining versions globally without having to know exactly what will be installed by the pip command. #2731.
    Accept --no-binary and --only-binary via pip.conf. #2867.
    Allow --allow-all-external within a requirements file.
    Fixed an issue where --user could not be used when --prefix was used in a distutils configuration file.
    Fixed an issue where the SOABI tags were not correctly being generated on Python 3.5.
    Fixed an issue where we were advising windows users to upgrade by directly executing pip, when that would always fail on Windows.
    Allow ~ to be expanded within a cache directory in all situations.

7.0.3 (2015-06-01)

    Fixed a regression where --no-cache-dir would raise an exception, fixes #2855.

7.0.2 (2015-06-01)

    BACKWARD INCOMPATIBLE Revert the change (released in v7.0.0) that required quoting in requirements files around specifiers containing environment markers. (PR #2841)
    BACKWARD INCOMPATIBLE Revert the accidental introduction of support for options interleaved with requirements, version specifiers etc in requirements files. (PR #2841)
    Expand ~ in the cache directory when caching wheels, fixes #2816.
    Use python -m pip instead of pip when recommending an upgrade command to Windows users.

7.0.1 (2015-05-22)

    Don't build and cache wheels for non-editable installations from VCSs.
    Allow --allow-all-external inside of a requirements.txt file, fixing a regression in 7.0.

7.0.0 (2015-05-21)

    BACKWARD INCOMPATIBLE Removed the deprecated --mirror, --use-mirrors, and -M options.
    BACKWARD INCOMPATIBLE Removed the deprecated zip and unzip commands.
    BACKWARD INCOMPATIBLE Removed the deprecated --no-install and --no-download options.
    BACKWARD INCOMPATIBLE No longer implicitly support an insecure origin origin, and instead require insecure origins be explicitly trusted with the --trusted-host option.
    BACKWARD INCOMPATIBLE Removed the deprecated link scraping that attempted to parse HTML comments for a specially formatted comment.
    BACKWARD INCOMPATIBLE Requirements in requirements files containing markers must now be quoted due to parser changes from (PR #2697) and (PR #2725). For example, use "SomeProject; python_version < '2.7'", not simply SomeProject; python_version < '2.7'
    Ignores bz2 archives if Python wasn't compiled with bz2 support. Fixes #497
    Support --install-option and --global-option per requirement in requirement files (PR #2537)
    Build Wheels prior to installing from sdist, caching them in the pip cache directory to speed up subsequent installs. (PR #2618)
    Allow fine grained control over the use of wheels and source builds. (PR #2699)
    --no-use-wheel and --use-wheel are deprecated in favour of new options --no-binary and --only-binary. The equivalent of --no-use-wheel is --no-binary=:all:. (PR #2699)
    The use of --install-option, --global-option or --build-option disable the use of wheels, and the autobuilding of wheels. (PR #2711) Fixes #2677
    Improve logging when a requirement marker doesn't match your environment (PR #2735)
    Removed the temporary modifications (that began in pip v1.4 when distribute and setuptools merged) that allowed distribute to be considered a conflict to setuptools. pip install -U setuptools will no longer upgrade "distribute" to "setuptools". Instead, use pip install -U distribute (PR #2767).
    Only display a warning to upgrade pip when the newest version is a final release and it is not a post release of the version we already have installed (PR #2766).
    Display a warning when attempting to access a repository that uses HTTPS when we don't have Python compiled with SSL support (PR #2761).
    Allowing using extras when installing from a file path without requiring the use of an editable (PR #2785).
    Fix an infinite loop when the cache directory is stored on a file system which does not support hard links (PR #2796).
    Remove the implicit debug log that was written on every invocation, instead users will need to use --log if they wish to have one (PR #2798).

6.1.1 (2015-04-07)

    No longer ignore dependencies which have been added to the standard library, instead continue to install them.

6.1.0 (2015-04-07)

    Fixes #2502. Upgrades were failing when no potential links were found for dependencies other than the current installation. (PR #2538)
    Use a smoother progress bar when the terminal is capable of handling it, otherwise fallback to the original ASCII based progress bar.
    Display much less output when pip install succeeds, because on success, users probably don't care about all the nitty gritty details of compiling and installing. When pip install fails, display the failed install output once instead of twice, because once is enough. (PR #2487)
    Upgrade the bundled copy of requests to 2.6.0, fixing CVE-2015-2296.
    Display format of latest package when using pip list --outdated. (PR #2475)
    Don't use pywin32 as ctypes should always be available on Windows, using pywin32 prevented uninstallation of pywin32 on Windows. (PR #2467)
    Normalize the --wheel-dir option, expanding out constructs such as ~ when used (PR #2441).
    Display a warning when an undefined extra has been requested. (PR #2142)
    Speed up installing a directory in certain cases by creating a sdist instead of copying the entire directory. (PR #2535)
    Don't follow symlinks when uninstalling files (PR #2552)
    Upgrade the bundled copy of cachecontrol from 0.11.1 to 0.11.2. Fixes #2481 (PR #2595)
    Attempt to more smartly choose the order of installation to try and install dependencies before the projects that depend on them. (PR #2616)
    Skip trying to install libraries which are part of the standard library. (PR #2636, PR #2602)
    Support arch specific wheels that are not tied to a specific Python ABI. (PR #2561)
    Output warnings and errors to stderr instead of stdout. (PR #2543)
    Adjust the cache dir file checks to only check ownership if the effective user is root. (PR #2396)
    Install headers into a per project name directory instead of all of them into the root directory when inside of a virtual environment. (PR #2421)

6.0.8 (2015-02-04)

    Fix an issue where the --download flag would cause pip to no longer use randomized build directories.
    Fix an issue where pip did not properly unquote quoted URLs which contain characters like PEP 440's epoch separator (!).
    Fix an issue where distutils installed projects were not actually uninstalled and deprecate attempting to uninstall them altogether.
    Retry deleting directories incase a process like an antivirus is holding the directory open temporarily.
    Fix an issue where pip would hide the cursor on Windows but would not reshow it.

6.0.7 (2015-01-28)

    Fix a regression where Numpy requires a build path without symlinks to properly build.
    Fix a broken log message when running pip wheel without a requirement.
    Don't mask network errors while downloading the file as a hash failure.
    Properly create the state file for the pip version check so it only happens once a week.
    Fix an issue where switching between Python 3 and Python 2 would evict cached items.
    Fix a regression where pip would be unable to successfully uninstall a project without a normalized version.

6.0.6 (2015-01-03)

    Continue the regression fix from 6.0.5 which was not a complete fix.

6.0.5 (2015-01-03)

    Fix a regression with 6.0.4 under Windows where most commands would raise an exception due to Windows not having the os.geteuid() function.

6.0.4 (2015-01-03)

    Fix an issue where ANSI escape codes would be used on Windows even though the Windows shell does not support them, causing odd characters to appear with the progress bar.
    Fix an issue where using -v would cause an exception saying TypeError: not all arguments converted during string formatting.
    Fix an issue where using -v with dependency links would cause an exception saying TypeError: 'InstallationCandidate' object is not iterable.
    Fix an issue where upgrading distribute would cause an exception saying TypeError: expected string or buffer.
    Show a warning and disable the use of the cache directory when the cache directory is not owned by the current user, commonly caused by using sudo without the -H flag.
    Update PEP 440 support to handle the latest changes to PEP 440, particularly the changes to >V and <V so that they no longer imply !=V.*.
    Document the default cache directories for each operating system.
    Create the cache directory when the pip version check needs to save to it instead of silently logging an error.
    Fix a regression where the -q flag would not properly suppress the display of the progress bars.

6.0.3 (2014-12-23)

    Fix an issue where the implicit version check new in pip 6.0 could cause pip to block for up to 75 seconds if PyPI was not accessible.
    Make --no-index imply --disable-pip-version-check.

6.0.2 (2014-12-23)

    Fix an issue where the output saying that a package was installed would report the old version instead of the new version during an upgrade.
    Fix left over merge conflict markers in the documentation.
    Document the backwards incompatible PEP 440 change in the 6.0.0 changelog.

6.0.1 (2014-12-22)

    Fix executable file permissions for Wheel files when using the distutils scripts option.
    Fix a confusing error message when an exceptions was raised at certain points in pip's execution.
    Fix the missing list of versions when a version cannot be found that matches the specifiers.
    Add a warning about the possibly problematic use of > when the given specifier doesn't match anything.
    Fix an issue where installing from a directory would not copy over certain directories which were being excluded, however some build systems rely on them.

6.0 (2014-12-22)

    PROCESS Version numbers are now simply X.Y where the leading 1 has been dropped.
    BACKWARD INCOMPATIBLE Dropped support for Python 3.1.
    BACKWARD INCOMPATIBLE Removed the bundle support which was deprecated in 1.4. (PR #1806)
    BACKWARD INCOMPATIBLE File lists generated by pip show -f are now rooted at the location reported by show, rather than one (unstated) directory lower. (PR #1933)
    BACKWARD INCOMPATIBLE The ability to install files over the FTP protocol was accidently lost in pip 1.5 and it has now been decided to not restore that ability.
    BACKWARD INCOMPATIBLE PEP 440 is now fully implemented, this means that in some cases versions will sort differently or version specifiers will be interpreted differently than previously. The common cases should all function similarly to before.
    DEPRECATION pip install --download-cache and pip wheel --download-cache command line flags have been deprecated and the functionality removed. Since pip now automatically configures and uses it's internal HTTP cache which supplants the --download-cache the existing options have been made non functional but will still be accepted until their removal in pip v8.0. For more information please see https://pip.pypa.io/en/stable/reference/pip_install.html#caching
    DEPRECATION pip install --build and pip install --no-clean are now NOT deprecated. This reverses the deprecation that occurred in v1.5.3. See #906 for discussion.
    DEPRECATION Implicitly accessing URLs which point to an origin which is not a secure origin, instead requiring an opt-in for each host using the new --trusted-host flag (pip install --trusted-host example.com foo).
    Allow the new --trusted-host flag to also disable TLS verification for a particular hostname.
    Added a --user flag to pip freeze and pip list to check the user site directory only.
    Fixed #1873. Silence byte compile errors when installation succeed.
    Added a virtualenv-specific configuration file. (PR #1364)
    Added site-wide configuation files. (PR #1978)
    Added an automatic check to warn if there is an updated version of pip available (PR #2049).
    wsgiref and argparse (for >py26) are now excluded from pip list and pip freeze (PR #1606, PR #1369)
    Fixed #1424. Add --client-cert option for SSL client certificates.
    Fixed #1484. pip show --files was broken for wheel installs. (PR #1635)
    Fixed #1641. install_lib should take precedence when reading distutils config. (PR #1642)
    Send Accept-Encoding: identity when downloading files in an attempt to convince some servers who double compress the downloaded file to stop doing so. (PR #1688)
    Fixed #1559. Stop breaking when given pip commands in uppercase (PR #1725)
    Fixed #1618. Pip no longer adds duplicate logging consumers, so it won't create duplicate output when being called multiple times. (PR #1723)
    Fixed #1769. pip wheel now returns an error code if any wheels fail to build.
    Fixed #1775. pip wheel wasn't building wheels for dependencies of editable requirements.
    Allow the use of --no-use-wheel within a requirements file. (PR #1859)
    Fixed #1680. Attempt to locate system TLS certificates to use instead of the included CA Bundle if possible. (PR #1866)
    Fixed #1319. Allow use of Zip64 extension in Wheels and other zip files. (PR #1868)
    Fixed #1101. Properly handle an index or --find-links target which has a <base> without a href attribute. (PR #1869)
    Fixed #1885. Properly handle extras when a project is installed via Wheel. (PR #1896)
    Fixed #1180. Added support to respect proxies in pip search. It also fixes #932 and #1104. (PR #1902)
    Fixed #798 and #1060. pip install --download works with vcs links. (PR #1926)
    Fixed #1456. Disabled warning about insecure index host when using localhost. Based off of Guy Rozendorn's work in PR #1718. (PR #1967)
    Allow the use of OS standard user configuration files instead of ones simply based around $HOME. (PR #2021)
    Fixed #1825. When installing directly from wheel paths or urls, previous versions were not uninstalled. This also fixes #804 specifically for the case of wheel archives. (PR #1838)
    Fixed #2075, detect the location of the .egg-info directory by looking for any file located inside of it instead of relying on the record file listing a directory. (PR #2076)
    Fixed #1964, #1935, #676, Use a randomized and secure default build directory when possible. (PR #2122, CVE-2014-8991)
    Fixed #1433. Support environment markers in requirements.txt files. (PR #2134)
    Automatically retry failed HTTP requests by default. (PR #1444, PR #2147)
    Fixed #1100 - Handle HTML Encoding better using a method that is more similar to how browsers handle it. (PR #1874)
    Reduce the verbosity of the pip command by default. (PR #2175, PR #2177, PR #2178)
    Fixed #2031 - Respect sys.executable on OSX when installing from Wheels.
    Display the entire URL of the file that is being downloaded when downloading from a non PyPI repository (PR #2183).
    Support setuptools style environment markers in a source distribution (PR #2153).

Revision 1.9 / (download) - annotate - [select for diffs], Sun Jun 1 14:39:39 2014 UTC (5 years, 4 months ago) by rodent
Branch: MAIN
CVS Tags: pkgsrc-2015Q3-base, pkgsrc-2015Q3, pkgsrc-2015Q2-base, pkgsrc-2015Q2, pkgsrc-2015Q1-base, pkgsrc-2015Q1, pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2
Changes since 1.8: +4 -4 lines
Diff to previous 1.8 (colored) to selected 1.4 (colored)

**1.5.6 (2014-05-16)**
* Upgrade requests to 2.3.0 to fix an issue with proxies on Python 3.4.1
  (PR #1821).

**1.5.5 (2014-05-03)**

* Fixes #1632.  Uninstall issues on debianized pypy, specifically issues with
  setuptools upgrades. (PR #1743)
* Update documentation to point at https://bootstrap.pypa.io/get-pip.py for
  bootstrapping pip.
* Update docs to point to https://pip.pypa.io/
* Upgrade the bundled projects (distlib==0.1.8, html5lib==1.0b3, six==1.6.1,
  colorama==0.3.1, setuptools==3.4.4).

Revision 1.8 / (download) - annotate - [select for diffs], Mon Feb 24 12:06:14 2014 UTC (5 years, 7 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2014Q1-base, pkgsrc-2014Q1
Changes since 1.7: +4 -4 lines
Diff to previous 1.7 (colored) to selected 1.4 (colored)

Update to 1.5.4:

**1.5.4 (2014-02-21)**


* Correct deprecation warning for ``pip install --build`` to only notify when
  the `--build` value is different than the default.


**1.5.3 (2014-02-20)**


* **DEPRECATION** ``pip install --build`` and ``pip install --no-clean`` are now
  deprecated.  See Issue #906 for discussion.

* Fixed #1112. Couldn't download directly from wheel paths/urls, and when wheel
  downloads did occur using requirement specifiers, dependencies weren't
  downloaded (PR #1527)

* Fixed #1320. ``pip wheel`` was not downloading wheels that already existed (PR
  #1524)

* Fixed #1111. ``pip install --download`` was failing using local
  ``--find-links`` (PR #1524)

* Workaround for Python bug http://bugs.python.org/issue20053 (PR #1544)

* Don't pass a unicode __file__ to setup.py on Python 2.x (PR #1583)

* Verify that the Wheel version is compatible with this pip (PR #1569)

Revision 1.7 / (download) - annotate - [select for diffs], Sun Feb 2 08:21:05 2014 UTC (5 years, 8 months ago) by wiz
Branch: MAIN
Changes since 1.6: +4 -4 lines
Diff to previous 1.6 (colored) to selected 1.4 (colored)

regen for 1.5.2 update

Revision 1.6 / (download) - annotate - [select for diffs], Thu Jan 16 02:40:15 2014 UTC (5 years, 9 months ago) by rodent
Branch: MAIN
Changes since 1.5: +4 -4 lines
Diff to previous 1.5 (colored) to selected 1.4 (colored)

Updated to latest release, 1.5. Included lang/python/application.mk to
REPLACE_PYTHON in two installed files. Lots of PLIST additions/moves. From
CHANGES.txt:

Changelog
=========

1.5 (2014-01-01)
----------------

* **BACKWARD INCOMPATIBLE** pip no longer supports the ``--use-mirrors``,
  ``-M``, and ``--mirrors`` flags. The mirroring support has been removed. In
  order to use a mirror specify it as the primary index with ``-i`` or
  ``--index-url``, or as an additional index with ``--extra-index-url``. (Pull #1098, CVE-2013-5123)

* **BACKWARD INCOMPATIBLE** pip no longer will scrape insecure external urls by
  default nor will it install externally hosted files by default. Users may opt
  into installing externally hosted or insecure files or urls using
  ``--allow-external PROJECT`` and ``--allow-unverified PROJECT``. (Pull #1055)

* **BACKWARD INCOMPATIBLE** pip no longer respects dependency links by default.
  Users may opt into respecting them again using ``--process-dependency-links``.

* **DEPRECATION** ``pip install --no-install`` and ``pip install
  --no-download`` are now formally deprecated.  See Issue #906 for discussion on
  possible alternatives, or lack thereof, in future releases.

* **DEPRECATION** ``pip zip`` and ``pip unzip`` are now formally deprecated.

* pip will now install Mac OSX platform wheels from PyPI. (Pull #1278)

* pip now generates the appropriate platform-specific console scripts when
  installing wheels. (Pull #1251)

* Pip now confirms a wheel is supported when installing directly from a path or
  url. (Pull #1315)

* Fixed #1097, ``--ignore-installed`` now behaves again as designed, after it was
  unintentionally broke in v0.8.3 when fixing Issue #14 (Pull #1352).

* Fixed a bug where global scripts were being removed when uninstalling --user
  installed packages (Pull #1353).

* Fixed #1163, --user wasn't being respected when installing scripts from wheels (Pull #1176).

* Fixed #1150, we now assume '_' means '-' in versions from wheel filenames (Pull #1158).

* Fixed #219, error when using --log with a failed install (Pull #1205).

* Fixed #1131, logging was buffered and choppy in Python 3.

* Fixed #70,  --timeout was being ignored (Pull #1202).

* Fixed #772, error when setting PIP_EXISTS_ACTION (Pull #1201).

* Added colors to the logging output in order to draw attention to important
  warnings and errors. (Pull #1109)

* Added warnings when using an insecure index, find-link, or dependency link. (Pull #1121)

* Added support for installing packages from a subdirectory using the ``subdirectory``
  editable option. ( Pull #1082 )

* Fixed #1192. "TypeError: bad operand type for unary" in some cases when
  installing wheels using --find-links (Pull #1218).

* Fixed #1133 and #317. Archive contents are now written based on system
  defaults and umask (i.e. permissions are not preserved), except that regular
  files with any execute permissions have the equivalent of "chmod +x" applied
  after being written (Pull #1146).

* PreviousBuildDirError now returns a non-zero exit code and prevents the
  previous build dir from being cleaned in all cases (Pull #1162).

* Renamed --allow-insecure to --allow-unverified, however the old name will
  continue to work for a period of time.

* Fixed #1006, error when installing local projects with symlinks in Python 3.

* The previously hidden ``--log-file`` otion, is now shown as a general option.

1.4.1 (2013-08-07)
------------------

* **New Signing Key** Release 1.4.1 is using a different key than normal with
  fingerprint: 7C6B 7C5D 5E2B 6356 A926 F04F 6E3C BCE9 3372 DCFA
* Fixed issues with installing from pybundle files
* Fixed error when sysconfig module throws an exception
* Don't ignore already installed pre-releases
* Fixes related to upgrading setuptools
* Fixes so that --download works with wheel archives
* Fixes related to recognizing and cleaning global build dirs

Revision 1.5 / (download) - annotate - [select for diffs], Thu Jul 25 15:11:59 2013 UTC (6 years, 2 months ago) by wen
Branch: MAIN
CVS Tags: pkgsrc-2013Q4-base, pkgsrc-2013Q4, pkgsrc-2013Q3-base, pkgsrc-2013Q3
Changes since 1.4: +4 -4 lines
Diff to previous 1.4 (colored)

Update to 1.4

Upstream changes:
1.4 (2013-07-23)

BACKWARD INCOMPATIBLE pip now only installs stable versions by default, and offers a new --pre option to also find pre-release and development versions. (Pull #834)
BACKWARD INCOMPATIBLE Dropped support for Python 2.5. The minimum supported Python version for pip 1.4 is Python 2.6.
Added support for installing and building wheel archives. Thanks Daniel Holth, Marcus Smith, Paul Moore, and Michele Lacchia (Pull #845)
Applied security patch to pip's ssl support related to certificate DNS wildcard matching (http://bugs.python.org/issue17980).
To satisfy pip's setuptools requirement, pip now recommends setuptools>=0.8, not distribute. setuptools and distribute are now merged into one project called 'setuptools'. (Pull #1003)
pip will now warn when installing a file that is either hosted externally to the index or cannot be verified with a hash. In the future pip will default to not installing them and will require the flags -allow-external NAME, and -allow-insecure NAME respectively. (Pull #985)
If an already-downloaded or cached file has a bad hash, re-download it rather than erroring out. (Issue #963).
pip bundle and support for installing from pybundle files is now considered deprecated and will be removed in pip v1.5.
Fixed a number of issues (#413, #709, #634, #602, and #939) related to cleaning up and not reusing build directories. (Pull #865, #948)
Added a User Agent so that pip is identifiable in logs. (Pull #901)
Added ssl and -user support to get-pip.py. Thanks Gabriel de Perthuis. (Pull #895)
Fixed the proxy support, which was broken in pip 1.3.x (Pull #840)
Fixed issue #32 - pip fails when server does not send content-type header. Thanks Hugo Lopes Tavares and Kelsey Hightower (Pull #872).
"Vendorized" distlib as pip.vendor.distlib (https://distlib.readthedocs.org/).
Fixed git VCS backend with git 1.8.3. (Pull #967)

Revision 1.4 / (download) - annotate - [selected], Sat Apr 13 14:41:53 2013 UTC (6 years, 6 months ago) by wen
Branch: MAIN
CVS Tags: pkgsrc-2013Q2-base, pkgsrc-2013Q2
Changes since 1.3: +4 -4 lines
Diff to previous 1.3 (colored)

Update to 1.3.1

Upstream changes:
1.3.1 (2013-03-08)

Fixed a major backward incompatible change of parsing URLs to externally hosted packages that got accidentally included in 1.3.
1.3 (2013-03-07)

SSL Cert Verification; Make https the default for PyPI access. Thanks James Cleveland, Giovanni Bajo, Marcus Smith and many others (Pull #789).
Added "pip list" for listing installed packages and the latest version available. Thanks Rafael Caricio, Miguel Araujo, Dmitry Gladkov (Pull #752)
Fixed security issues with pip's use of temp build directories. Thanks David (d1b) and Thomas Guttler. (Pull #780)
Improvements to sphinx docs and cli help. (Pull #773)
Fixed issue #707, dealing with OS X temp dir handling, which was causing global NumPy installs to fail. (Pull #768)
Split help output into general vs command-specific option groups. Thanks Georgi Valkov. (Pull #744; Pull #721 contains preceding refactor)
Fixed dependency resolution when installing from archives with uppercase project names. (Pull #724)
Fixed problem where re-installs always occurred when using file:// find-links. (Pulls #683/#702)
"pip install -v" now shows the full download url, not just the archive name. Thanks Marc Abramowitz (Pull #687)
Fix to prevent unnecessary PyPI redirects. Thanks Alex Gronholm (Pull #695)
Fixed issue #670 - install failure under Python 3 when the same version of a package is found under 2 different URLs. Thanks Paul Moore (Pull #671)
Fix git submodule recursive updates. Thanks Roey Berman. (Pulls #674)
Explicitly ignore rel='download' links while looking for html pages. Thanks Maxime R. (Pull #677)
--user/--upgrade install options now work together. Thanks 'eevee' for discovering the problem. (Pull #705)
Added check in install --download to prevent re-downloading if the target file already exists. Thanks Andrey Bulgakov. (Pull #669)
Added support for bare paths (including relative paths) as argument to --find-links. Thanks Paul Moore for draft patch.
Added support for --no-index in requirements files.
Added "pip show" command to get information about an installed package. Fixes #131. Thanks Kelsey Hightower and Rafael Caricio.
Added --root option for "pip install" to specify root directory. Behaves like the same option in distutils but also plays nice with pip's egg-info. Thanks Przemek Wrzos. (Issue #253 / Pull #693)

Revision 1.3 / (download) - annotate - [select for diffs], Mon Sep 10 14:01:28 2012 UTC (7 years, 1 month ago) by wen
Branch: MAIN
CVS Tags: pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4, pkgsrc-2012Q3-base, pkgsrc-2012Q3
Changes since 1.2: +4 -4 lines
Diff to previous 1.2 (colored) to selected 1.4 (colored)

Update to 1.2.1 from 1.1

Upstream changes:
1.2.1 (2012-09-06)
Fixed a regression introduced in 1.2 about raising an exception when not finding any files to uninstall in the current environment. Thanks for the fix, Marcus Smith.

1.2 (2012-09-01)
Dropped support for Python 2.4 The minimum supported Python version is now Python 2.5.
Fixed issue #605 - pypi mirror support broken on some DNS responses. Thanks philwhin.
Fixed issue #355 - pip uninstall removes files it didn't install. Thanks pjdelport.
Fixed issues #493, #494, #440, and #573 related to improving support for the user installation scheme. Thanks Marcus Smith.
Write failure log to temp file if default location is not writable. Thanks andreigc.
Pull in submodules for git editable checkouts. Fixes #289 and #421. Thanks Hsiaoming Yang and Markus Hametner.
Use a temporary directory as the default build location outside of a virtualenv. Fixes issues #339 and #381. Thanks TC01.
Added support for specifying extras with local editables. Thanks Nick Stenning.
Added --egg flag to request egg-style rather than flat installation. Refs issue #3. Thanks Kamal Bin Mustafa.
Fixed issue #510 - prevent e.g. gmpy2-2.0.tar.gz from matching a request to pip install gmpy; sdist filename must begin with full project name followed by a dash. Thanks casevh for the report.
Fixed issue #504 - allow package URLS to have querystrings. Thanks W. Trevor King.
Fixed issue #58 - pip freeze now falls back to non-editable format rather than blowing up if it can't determine the origin repository of an editable. Thanks Rory McCann.
Added a __main__.py file to enable python -m pip on Python versions that support it. Thanks Alexey Luchko.
Fixed issue #487 - upgrade from VCS url of project that does exist on index. Thanks Andrew Knapp for the report.
Fixed issue #486 - fix upgrade from VCS url of project with no distribution on index. Thanks Andrew Knapp for the report.
Fixed issue #427 - clearer error message on a malformed VCS url. Thanks Thomas Fenzl.
Added support for using any of the built in guaranteed algorithms in hashlib as a checksum hash.
Fixed issue #321 - Raise an exception if current working directory can't be found or accessed.
Fixed issue #82 - Removed special casing of the user directory and use the Python default instead.
Fixed #436 - Only warn about version conflicts if there is actually one. This re-enables using ==dev in requirements files.
Moved tests to be run on Travis CI: http://travis-ci.org/pypa/pip
Added a better help formatter.

Revision 1.2 / (download) - annotate - [select for diffs], Sun Jun 3 13:18:58 2012 UTC (7 years, 4 months ago) by obache
Branch: MAIN
CVS Tags: pkgsrc-2012Q2-base, pkgsrc-2012Q2
Changes since 1.1: +4 -4 lines
Diff to previous 1.1 (colored) to selected 1.4 (colored)

Update py-pip to 1.1.
Based on PR 46531 by Wen Heping.
* convert to use python/egg.mk.

1.1 (2012-02-16)
----------------

* Fixed issue #326 - don't crash when a package's setup.py emits UTF-8 and
  then fails. Thanks Marc Abramowitz.

* Added ``--target`` option for installing directly to arbitrary directory.
  Thanks Stavros Korokithakis.

* Added support for authentication with Subversion repositories. Thanks
  Qiangning Hong.

* Fixed issue #315 - ``--download`` now downloads dependencies as well.
  Thanks Qiangning Hong.

* Errors from subprocesses will display the current working directory.
  Thanks Antti Kaihola.

* Fixed issue #369 - compatibility with Subversion 1.7. Thanks Qiangning
  Hong. Note that setuptools remains incompatible with Subversion 1.7; to
  get the benefits of pip's support you must use Distribute rather than
  setuptools.

* Fixed issue #57 - ignore py2app-generated OS X mpkg zip files in finder.
  Thanks Rene Dudfield.

* Fixed issue #182 - log to ~/Library/Logs/ by default on OS X framework
  installs. Thanks Dan Callahan for report and patch.

* Fixed issue #310 - understand version tags without minor version ("py3")
  in sdist filenames. Thanks Stuart Andrews for report and Olivier Girardot for
  patch.

* Fixed issue #7 - Pip now supports optionally installing setuptools
  "extras" dependencies; e.g. "pip install Paste[openid]". Thanks Matt Maker
  and Olivier Girardot.

* Fixed issue #391 - freeze no longer borks on requirements files with
  --index-url or --find-links. Thanks Herbert Pfennig.

* Fixed issue #288 - handle symlinks properly. Thanks lebedov for the patch.

* Fixed issue #49 - pip install -U no longer reinstalls the same versions of
  packages. Thanks iguananaut for the pull request.

* Removed ``-E`` option and ``PIP_RESPECT_VIRTUALENV``; both use a
  restart-in-venv mechanism that's broken, and neither one is useful since
  every virtualenv now has pip inside it.

* Fixed issue #366 - pip throws IndexError when it calls `scraped_rel_links`

* Fixed issue #22 - pip search should set and return a userful shell status code

* Fixed issue #351 and #365 - added global ``--exists-action`` command line
  option to easier script file exists conflicts, e.g. from editable
  requirements from VCS that have a changed repo URL.

Revision 1.1.1.1 / (download) - annotate - [select for diffs] (vendor branch), Mon Jan 23 21:39:32 2012 UTC (7 years, 8 months ago) by pettai
Branch: TNF
CVS Tags: pkgsrc-base, pkgsrc-2012Q1-base, pkgsrc-2012Q1
Changes since 1.1: +0 -0 lines
Diff to previous 1.1 (colored) to selected 1.4 (colored)

pip is a replacement for easy_install. It uses mostly the same
techniques for finding packages, so packages that were made
easy_installable should be pip-installable as well.

pip is meant to improve on easy_install. Some of the improvements:
    * All packages are downloaded before installation.
Partially-completed installation doesn't occur as a result.
    * Care is taken to present useful output on the console.
    * The reasons for actions are kept track of. For instance, if
a package is being installed, pip keeps track of why that package
was required.
    * Error messages should be useful.
    * The code is relatively concise and cohesive, making it easier
to use programmatically.
    * Packages don't have to be installed as egg archives, they can
be installed flat (while keeping the egg metadata).
    * Native support for other version control systems (Git, Mercurial
and Bazaar)
    * Uninstallation of packages.
    * Simple to define fixed sets of requirements and reliably
reproduce a set of packages.

Revision 1.1 / (download) - annotate - [select for diffs], Mon Jan 23 21:39:32 2012 UTC (7 years, 8 months ago) by pettai
Branch: MAIN
Diff to selected 1.4 (colored)

Initial revision

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>